/*************************************************************************
  Original file data 3 April 1994. Corrected a typp 25 March 2025 

  Interface to Gravis Ultrasound card, via ultramid TSR, which must have
  been loaded first.

  (This is very incomplete for now).
 ************************************************************************/

#ifndef GRAVULTR_H
#define GRAVULTR_H

/*************************************************************************
  Looks for the interrupt vector that the ultramid TSR hooked itself
  into. If found, it remembers the address internally, and returns 0
  for success. If not found, returns -1.
 ************************************************************************/
int gus_set_ultrasound_hook (void);


/*************************************************************************
   Sends a midi byte to the Gravis Ultrasound synthesizer.
 ************************************************************************/
void gus_send_midibyte (int midibyte);

/*************************************************************************
   Loads sample data for the specified patch (or midi program
   change) into the card's internal RAM.
 ************************************************************************/
void gus_load_patch (int patch_number);

/*************************************************************************

 ************************************************************************/
void gus_unload_all_patches (void);

/*************************************************************************

 ************************************************************************/
void gus_all_midi_voices_off (void);

/*************************************************************************

 ************************************************************************/
void gus_set_pan (int voice, int pan);


#endif
